Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 654456 - sys-apps/portage: support BINPKG_COMPRESS setting that disables compression
Summary: sys-apps/portage: support BINPKG_COMPRESS setting that disables compression
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: .tbz2 support (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 651804
  Show dependency tree
 
Reported: 2018-05-01 00:48 UTC by Zac Medico
Modified: 2018-07-02 18:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zac Medico gentoo-dev 2018-05-01 00:48:03 UTC
In cases when binary packages are stored within a compressed medium, such as btrfs filesystem or a docker volume, it might make sense to use BINPKG_COMPRESS to disable compression.
Comment 1 Zac Medico gentoo-dev 2018-05-01 00:50:29 UTC
Maybe call it BINPKG_COMPRESS="cat".
Comment 2 Zac Medico gentoo-dev 2018-05-01 01:44:03 UTC
We could use and empty BINPKG_COMPRESS setting to indicate absence of compression, for consistency with PORTAGE_COMPRESS behavior.
Comment 3 Larry the Git Cow gentoo-dev 2018-05-02 01:56:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/portage.git/commit/?id=2b40f119d4334bd3d4bcd2824f575700963b40ef

commit 2b40f119d4334bd3d4bcd2824f575700963b40ef
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2018-05-02 01:27:30 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2018-05-02 01:49:03 +0000

    BINPKG_COMPRESS: allow empty setting to disable compression (bug 654456)
    
    In some cases it might make sense to disable compression, so
    allow an empty setting to disable compression (consistent with
    PORTAGE_COMPRESS).
    
    Bug: https://bugs.gentoo.org/654456

 bin/misc-functions.sh                  |  2 +-
 bin/quickpkg                           | 11 +++++++++--
 pym/_emerge/BinpkgExtractorAsync.py    | 16 ++++++++++++----
 pym/portage/package/ebuild/doebuild.py |  6 +++++-
 4 files changed, 27 insertions(+), 8 deletions(-)
Comment 4 Zac Medico gentoo-dev 2018-07-02 18:53:47 UTC
Fixed in portage-2.3.40-r1.